---
title: XRPermissionStatus.granted
slug: Web/API/XRPermissionStatus/granted
tags:
  - API
  - AR
  - Mixed
  - Permissions
  - Property
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR API
  - WebXR Device API
  - WenXR
  - XR
  - XRPermissionStatus
  - augmented
  - granted
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}{{draft}}</p>

<p>The WebXR Device API's {{domxref("XRPermissionStatus")}} interface's <code><strong>granted</strong></code> property is an array of strings, each identifying one of the WebXR features for which permission has been granted as of the time at which the Permission API's {{domxref("Permissions.query", "navigator.permissions.query()")}} method was called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>grantedFeatures</em> = <em>xrPermissionStatus</em>.granted;
</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("DOMString")}} objects, each identifying a single WebXR feature which the app or site has been granted permission to use. Currently, all of these strings come from the {{domxref("XRReferenceSpaceType")}} enumerated type.</p>

<p>{{page("/en-US/docs/Web/API/XRReferenceSpaceType", "Reference space descriptors")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<h2 id="Examples">Examples</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrpermissionstatus-granted','XRPermissionStatus.granted')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRPermissionStatus.granted")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API/Permissions_and_security">Permissions and security for WebXR</a></li>
 <li>{{domxref("XRPermissionStatus")}}</li>
 <li>{{domxref("navigator.permissions")}} and {{domxref("WorkerNavigator.permissions")}}</li>
 <li>{{domxref("Permissions")}}</li>
</ul>
